Bug 229127 - "make analyze" should run clang static analyzer in deep mode
Summary: "make analyze" should run clang static analyzer in deep mode
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Kilzer (:ddkilzer)
URL:
Keywords: InRadar
Depends on:
Blocks: 229461
  Show dependency treegraph
 
Reported: 2021-08-15 15:26 PDT by David Kilzer (:ddkilzer)
Modified: 2021-08-24 11:55 PDT (History)
10 users (show)

See Also:


Attachments
Patch v1 (20.22 KB, patch)
2021-08-15 15:39 PDT, David Kilzer (:ddkilzer)
ap: review+
Details | Formatted Diff | Diff
Patch for landing (20.25 KB, patch)
2021-08-16 08:59 PDT, David Kilzer (:ddkilzer)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2021-08-15 15:26:43 PDT
"make analyze" should run clang static analyzer in deep mode.

This is accomplished by passing an "analyze" argument to the "xcodebuild" command, which defaults to deep analysis mode.
Comment 1 Radar WebKit Bug Importer 2021-08-15 15:27:21 PDT
<rdar://problem/81960587>
Comment 2 David Kilzer (:ddkilzer) 2021-08-15 15:39:13 PDT
Created attachment 435574 [details]
Patch v1
Comment 3 EWS Watchlist 2021-08-15 15:40:22 PDT
Note that there are important steps to take when updating ANGLE. See https://trac.webkit.org/wiki/UpdatingANGLE
Comment 4 David Kilzer (:ddkilzer) 2021-08-16 08:59:55 PDT
Created attachment 435606 [details]
Patch for landing
Comment 5 David Kilzer (:ddkilzer) 2021-08-16 09:01:05 PDT
(In reply to David Kilzer (:ddkilzer) from comment #4)
> Created attachment 435606 [details]
> Patch for landing

The only change is to simplify `analyze` target in Makefile.shared.
Comment 6 EWS 2021-08-16 09:31:32 PDT
Committed r281088 (240548@main): <https://commits.webkit.org/240548@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 435606 [details].